import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class StiLoginComponent implements OnInit {
    loginInfo: any;
    onLogin: EventEmitter<any>;
    login: string;
    password: string;
    constructor();
    ngOnInit(): void;
    get window(): Window & typeof globalThis;
    doLogin(): void;
    keydown(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiLoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiLoginComponent, "sti-login", never, { "loginInfo": { "alias": "loginInfo"; "required": false; }; }, { "onLogin": "onLogin"; }, never, never, false, never>;
}
